package com.zd.laboratory.domain.vo;

import com.zd.common.core.enums.RiskHardwareTypeEnum;
import com.zd.laboratory.domain.*;
import com.zd.system.api.domain.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * Controller
 *
 * @author
 * @date 2021/9/18
 */
@ApiModel("控制记录表")
public class LabSecurityApplyVO extends LabSecurityApply {

    private String laboratoryName;//实验室名称

    private String laboratoryDeptName;//实验室所属学院

    private String typeLevel;//实验室级别

    private String typeName;//实验室类型

    private Integer applyNum;//申请人数

    private Integer approvalNum;//批准人数

    private String percent;//百分率

    private String beginTime;//开始时间按

    private String endTime;//结束时间按

    private List<LabSecurityApplyVO> applyList;

    private List<LabSecurityMaterialrelation> mrList;

    private String hi; //时分

    private String subjectAdminName;//负责人姓名

    private SysUser sysUser;

    private String fileList;

    public String getLaboratoryDeptName() {        return laboratoryDeptName;    }

    public void setLaboratoryDeptName(String laboratoryDeptName) {        this.laboratoryDeptName = laboratoryDeptName;    }

    public List<LabSecurityApplyVO> getApplyList() {
        return applyList;
    }

    public void setApplyList(List<LabSecurityApplyVO> applyList) {
        this.applyList = applyList;
    }

    public List<LabSecurityMaterialrelation> getMrList() {
        return mrList;
    }

    public void setMrList(List<LabSecurityMaterialrelation> mrList) {
        this.mrList = mrList;
    }

    public String getHi() {        return hi;    }

    public void setHi(String hi) {        this.hi = hi;    }

    public Integer getApplyNum() {        return applyNum;    }

    public void setApplyNum(Integer applyNum) {        this.applyNum = applyNum;    }

    public Integer getApprovalNum() {        return approvalNum;    }

    public void setApprovalNum(Integer approvalNum) {        this.approvalNum = approvalNum;    }

    public String getPercent() {        return percent;    }

    public void setPercent(String percent) {        this.percent = percent;    }

    public String getBeginTime() {        return beginTime;    }

    public void setBeginTime(String beginTime) {        this.beginTime = beginTime;    }

    public String getEndTime() {        return endTime;    }

    public void setEndTime(String endTime) {        this.endTime = endTime;    }

    public String getTypeLevel() {        return typeLevel;    }

    public void setTypeLevel(String typeLevel) {        this.typeLevel = typeLevel;    }

    public String getTypeName() {        return typeName;    }

    public void setTypeName(String typeName) {        this.typeName = typeName;    }
    public String getLaboratoryName() {        return laboratoryName;    }

    public void setLaboratoryName(String laboratoryName) {        this.laboratoryName = laboratoryName;    }

    public String getSubjectAdminName() {        return subjectAdminName;    }

    public void setSubjectAdminName(String subjectAdminName) {        this.subjectAdminName = subjectAdminName;    }

    public SysUser getSysUser() {        return sysUser;    }

    public void setSysUser(SysUser sysUser) {        this.sysUser = sysUser;    }

    public String getFileList() {
        return fileList;
    }

    public void setFileList(String fileList) {
        this.fileList = fileList;
    }
}
